Get a copy of a specific invoice as PDF

Download a PDF copy of a single invoice. This is useful when you need an archived version of your invoice for accounting or if you want to forward it.

Billing & Payments Invoices

Context

Used in the dashboard

/ /billing /domains

Path Parameters

id string required Example: pdf

id parameter

Headers

Accept Example
Content-Type Example

Body

required
application/json
invoiceIds array required · Example: ["51910"]

Responses

200
data object required
data.pdf string required · Example: JVBERi0xLjQKJeLjz9MKMyAwIG9iago8PC9UeXBlIC9QYWdlCi9QYXJlbnQgMSAwIFIKL01lZGlhQm94IFswIDA...
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/billing/invoice/{id}
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/billing/invoice/pdf" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "invoiceIds": [
      "51910"
    ]
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "pdf": "JVBERi0xLjQKJeLjz9MKMyAwIG9iago8PC9UeXBlIC9QYWdlCi9QYXJlbnQgMSAwIFIKL01lZGlhQm94IFswIDAgNTk1LjI4MCA4NDEuODkwXQovVHJpbUJveCBbMC4wMDAgMC4wMDAgNTk1LjI4MCA4NDEuODkwXQovUmVzb3VyY2VzIDIgMCBSCi9Hcm91cCA8PCAvVHlwZSAvR3JvdXAgL1MgL1RyYW5zcGFyZW5jeSAvQ1MgL0RldmljZVJHQiA+PiAKL0NvbnRlbnRzIDQgMCBSPj4KZW5kb2JqCjQgMCBvYmoKPDwvRmlsdGVyIC9GbGF0ZURlY29kZSAvTGVuZ3RoIDE4MTc+PgpzdHJlYW0KeJy9Wltz1DYU1vP+Cj3CDCi6W+apZIC0BQZCttOH0odALlyyJNkNZKa/l/6FPveT1tLKWsd4b0xmbe/x8fnO3Ufa0GvK6S1VnHFdUScEc1rRSSTISjFrKnpBjTVMKtVBiQ9d...",
    "success": true
  }
}
Request Body Example 1
{
  "invoiceIds": [
    "51910"
  ]
}